%global targets sdl
%global maintarget sdl

Summary:	An emulator of 8-bit Atari personal computers
Name:		atari800
Version:	2.2.1
Release:	1%{?dist}
License:	GPLv2+
URL:		http://atari800.sourceforge.net/
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	atari800.desktop
Patch0:		atari800-2.1.0-nostrip.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	SDL-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	readline-devel
BuildRequires:	desktop-file-utils

%description
Atari800 is an emulator for the 800, 800XL, 130XE and 5200 models of
the Atari personal computer. It can be used on console, FrameBuffer or X11.
It features excellent compatibility, HIFI sound support, artifacting
emulation, precise cycle-exact ANTIC/GTIA emulation and more.


%prep
%setup -q -n %{name}-%{version}/src
%patch0 -p2 -b .nostrip

# fix permissions on source files
chmod a-x *.{c,h} vtxsmpls.inc
chmod a-x atari_ntsc/*.{c,h}


%build
for target in %{targets}
do
	%configure --target=$target
	make %{?_smp_mflags}
	mv %{name} %{name}-$target
	make clean
done
touch %{name}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
for target in %{targets}
do
	install %{name}-$target $RPM_BUILD_ROOT%{_bindir}
done
(
	cd $RPM_BUILD_ROOT%{_bindir}
	ln -sf %{name}-%{maintarget} %{name}
)

desktop-file-install					\
%if 0%{?rhel} && 0%{?rhel} < 6
		    --vendor fedora			\
%endif
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}.1*
%{_docdir}/%{name}
%{_datadir}/applications/*%{name}.desktop


%changelog
* Fri May 13 2011 Dan Horák <dan[at]danny.cz> 2.2.1-1
- update to 2.2.1

* Sun Apr 10 2011 Dan Horák <dan[at]danny.cz> 2.2.0-1
- update to 2.2.0

* Thu Apr  2 2009 Dan Horák <dan[at]danny.cz> 2.1.0-1
- update to 2.1.0

* Sat Oct  6 2007 Dan Horák <dan[at]danny.cz> 2.0.3-1
- first Fedora version based on upstream
